%global uuid    org.gnome.Tau

Name:           tau
Version:        0.11.3
Release:        1%{?dist}
Summary:        GTK frontend for the Xi text editor, written in Rust

License:        MIT
URL:            https://gitlab.gnome.org/World/Tau
Source0:        %{url}/uploads/b5f24cd692ec0c2a2c2be460fffaf505/%{name}-%{version}.tar.xz

BuildRequires:  cargo
BuildRequires:  desktop-file-utils
BuildRequires:  gmp-devel
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  rust
BuildRequires:  vte291-devel
BuildRequires:  pkgconfig(atk) >= 2.4
BuildRequires:  pkgconfig(cairo) >= 1.16
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-3.0) >= 3.20
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.30
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.38
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  pkgconfig(libhandy-0.0)
BuildRequires:  pkgconfig(pango) >= 1.38
BuildRequires:  pkgconfig(pangocairo) >= 1.38
BuildRequires:  pkgconfig(vte)

Requires:       hicolor-icon-theme

%description
GTK frontend, written in Rust, for the xi editor with focus on speed. Previously
called gxi, development now continues under the name "Tau".


%prep
%autosetup -p1


%build
%meson
%dnl %meson -Dxi-core=system
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_libexecdir}/%{name}/
%{_metainfodir}/*.xml


%changelog
* Tue Mar 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.3-1
- Update to 0.11.3

* Wed Jan 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.2-1
- Update to 0.10.2

* Sun Jan 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.1-1
- Update to 0.10.1

* Sat Nov 09 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.3-1
- Update spec file

* Fri Nov 1 2019 oss@cogitri.dev
- Rename to tau-editor

* Thu Oct 22 2019 oss@cogitri.dev
- Inital packaging.
